Index: ow/templates/403.pt
===================================================================
--- ow/templates/403.pt	(revision fd6da9399d34f5a809b9304b390103dd06b7bd89)
+++ ow/templates/403.pt	(revision a4e4799435f730f87765cce9f1ad592e1d8e5681)
@@ -21,7 +21,7 @@
     <div id="userinfo" i18n:translate="">
       We are sorry, but you do not have permissions to view these contents.
-      Please <a href="" tal:attributes="href url">
-        go back to your dashboard</a> and access the contents you have
-        available from there.
+      Please <a i18n:name="goback" i18n:translate="" href="" tal:attributes="href url">
+      go back to your dashboard</a> and access the contents you have
+      available from there.
     </div>
   </metal:content>
Index: ow/templates/404.pt
===================================================================
--- ow/templates/404.pt	(revision fd6da9399d34f5a809b9304b390103dd06b7bd89)
+++ ow/templates/404.pt	(revision a4e4799435f730f87765cce9f1ad592e1d8e5681)
@@ -21,5 +21,5 @@
     <div id="userinfo" i18n:translate="">
       We are sorry, but the contents you were looking for can not be found.
-      Please <a href="" tal:attributes="href url">
+      Please <a i18n:name="goback" i18n:translate="" href="" tal:attributes="href url">
         go back to your dashboard</a> and, if the problem persist, let us know!
     </div>
Index: ow/templates/500.pt
===================================================================
--- ow/templates/500.pt	(revision fd6da9399d34f5a809b9304b390103dd06b7bd89)
+++ ow/templates/500.pt	(revision a4e4799435f730f87765cce9f1ad592e1d8e5681)
@@ -21,6 +21,6 @@
     <div id="userinfo" i18n:translate="">
       Our support stuff has been notified already with all details about
-      the problem, please
-      <a href="" tal:attributes="href url">
+      the problem. Please
+      <a href="" i18n:name="goback" i18n:translate="" tal:attributes="href url">
         go back to your dashboard</a> and be patient while we fix it.
     </div>
Index: ow/templates/add_manual_workout.pt
===================================================================
--- ow/templates/add_manual_workout.pt	(revision fd6da9399d34f5a809b9304b390103dd06b7bd89)
+++ ow/templates/add_manual_workout.pt	(revision a4e4799435f730f87765cce9f1ad592e1d8e5681)
@@ -13,5 +13,5 @@
 
   <metal:title metal:fill-slot="title" metal:define-slot="head-title">
-    <tal:t i18n:translate="">Add workout Manually</tal:t>
+    <tal:t i18n:translate="">Add workout manually</tal:t>
   </metal:title>
 
Index: ow/templates/base.pt
===================================================================
--- ow/templates/base.pt	(revision fd6da9399d34f5a809b9304b390103dd06b7bd89)
+++ ow/templates/base.pt	(revision a4e4799435f730f87765cce9f1ad592e1d8e5681)
@@ -65,13 +65,13 @@
               <li
                   tal:attributes="class 'is-active' if 'dashboard' in renderer_name else ''">
-                <a class="icon-dashboard" href="" i18n:translate=""
+                <a class="icon-dashboard" href=""
                    tal:attributes="href request.resource_url(request.root)">
-                  <span>Dashboard</span></a>
+                  <span i18n:translate="">Dashboard</span></a>
               </li>
               <li
                   tal:attributes="class 'is-active' if 'profile' in renderer_name else ''">
-                <a class="icon-profile" href="" i18n:translate=""
+                <a class="icon-profile" href=""
                    tal:attributes="href request.resource_url(request.root, current_user, 'profile')">
-                  <span>My profile</span></a>
+                  <span i18n:translate="">My profile</span></a>
               </li>
               <li class="add-workout">
@@ -91,7 +91,7 @@
               </li>
               <li>
-                <a class="icon-logout" href="" i18n:translate=""
+                <a class="icon-logout" href=""
                    tal:attributes="href request.resource_url(request.root, 'logout')">
-                  <span>Log out</span>
+                  <span i18n:translate="">Log out</span>
                 </a>
               </li>
Index: ow/templates/dashboard.pt
===================================================================
--- ow/templates/dashboard.pt	(revision fd6da9399d34f5a809b9304b390103dd06b7bd89)
+++ ow/templates/dashboard.pt	(revision a4e4799435f730f87765cce9f1ad592e1d8e5681)
@@ -121,5 +121,5 @@
               <span class="week-stats-distance">
                 <tal:d tal:content="round(totals['distance'])"></tal:d>
-                <tal:t i18n:translate="">kms</tal:t> |
+                <tal:t i18n:translate="">km</tal:t> |
               </span>
               <span class="week-stats-time">
@@ -152,5 +152,5 @@
                             <li>
                               <span i18n:translate="">Distance:</span>
-                              <span> <tal:kms tal:content="round(stats['distance'])"></tal:kms> km</span>
+                              <span> <tal:km tal:content="round(stats['distance'])"></tal:km> km</span>
                             </li>
                             <li>
Index: ow/templates/update_workout_from_file.pt
===================================================================
--- ow/templates/update_workout_from_file.pt	(revision fd6da9399d34f5a809b9304b390103dd06b7bd89)
+++ ow/templates/update_workout_from_file.pt	(revision a4e4799435f730f87765cce9f1ad592e1d8e5681)
@@ -29,11 +29,12 @@
       <h2 tal:content="context.title"></h2>
 
-      <div tal:condition="context.has_tracking_file"
-           i18n:translate="">
+      <div tal:condition="context.has_tracking_file">
 
-        <h3>Existing
+        <h3 i18n:translate="">
+          Existing
           <tal:filetype i18n:name="filetype"
                         tal:content="context.tracking_filetype"></tal:filetype>
-          tracking file data</h3>
+          tracking file data
+        </h3>
 
         <ul class="workout-activity-summary" id=""
